org.codehaus.groovy.groovydoc

## Interface GroovyType

All Known Subinterfaces:
  GroovyClassDoc

All Known Implementing Classes:
  ArrayClassDocWrapper, ExternalGroovyClassDoc, SimpleGroovyClassDoc, SimpleGroovyType

    public interface GroovyType

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isPrimitive()`
`java.lang.String` `qualifiedTypeName()` The qualified name of this type excluding any dimension information.
`java.lang.String` `simpleTypeName()` The unqualified name of this type excluding any dimension or nesting information.
`java.lang.String` `toString()` The qualified name including any dimension information.
`java.lang.String` `typeName()` The unqualified name of this type excluding any dimension information.

### Method Detail

#### isPrimitive

    boolean isPrimitive()

#### qualifiedTypeName

    java.lang.String qualifiedTypeName()

The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

#### simpleTypeName

    java.lang.String simpleTypeName()

The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

#### typeName

    java.lang.String typeName()

The unqualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`String`".

#### toString

    java.lang.String toString()

The qualified name including any dimension information. For example, a two dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".

Overrides:
  `toString` in class `java.lang.Object`